"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAwsRegion = void 0;
const shared_ini_file_loader_1 = require("@smithy/shared-ini-file-loader");
async function getAwsRegion() {
    if (process.env.AWS_REGION) {
        return process.env.AWS_REGION;
    }
    const profile = process.env.AWS_PROFILE ?? "default";
    const awsConfig = await (0, shared_ini_file_loader_1.loadSharedConfigFiles)();
    const profileConfig = awsConfig.configFile[profile];
    if (profileConfig) {
        const region = profileConfig["region"];
        return region;
    }
    return;
}
exports.getAwsRegion = getAwsRegion;
//# sourceMappingURL=aws-region.js.map